import App from './App'
import Vue from 'vue'
import store from './store'
import uView from 'uview-ui'
import { req, rootDocment, get, post, postJSON } from './config/util'
import { api } from './config/api'

Vue.use(uView)

Vue.config.productionTip = false
App.mpType = 'app'

Vue.prototype.$api = api
Vue.prototype.$rootDocment = rootDocment
Vue.prototype.$req = req
Vue.prototype.$get = get
Vue.prototype.$post = post
Vue.prototype.$postJSON = postJSON

const app = new Vue({
  store,
  ...App
})
app.$mount()
